%define anolis_release 1
%global pypi_name prometheus-client
%global pypi_version 0.19.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Python client for the Prometheus monitoring system

License:        Apache Software License 2.0
URL:            https://github.com/prometheus/client_python
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/prometheus_client-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(twisted)
BuildRequires:  pytest

%description
The official Python client for Prometheus.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(twisted)
%description -n python3-%{pypi_name}
The official Python client for Prometheus.

%prep
%autosetup -n prometheus_client-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/prometheus_client
%{python3_sitelib}/prometheus_client-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.19.0-1
- Initial package.
